# wxNavigationKeyEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxNavigationKeyEvent:
[legend]

## Detailed Description

This event class contains information about navigation events, generated by navigation keys such as tab and page down.

This event is mainly used by wxWidgets implementations. A wxNavigationKeyEvent handler is automatically provided by wxWidgets when you make a class into a control container with the macro WX_DECLARE_CONTROL_CONTAINER.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxNavigationKeyEvent& event)
Event macros:

- EVT_NAVIGATION_KEY(func):
  Process a navigation key event.

##

Library: wxCore

Category: Events

See also:
  wxWindow::Navigate, wxWindow::NavigateIn

## Public Types
enum | wxNavigationKeyEventFlags { IsBackward = 0x0000, IsForward = 0x0001, WinChange = 0x0002, FromTab = 0x0004 }
| Flags which can be used with wxNavigationKeyEvent. More...
## Public Member Functions
| wxNavigationKeyEvent ()
| wxNavigationKeyEvent (const wxNavigationKeyEvent &event)
wxWindow * | GetCurrentFocus () const
| Returns the child that has the focus, or NULL.
bool | GetDirection () const
| Returns true if the navigation was in the forward direction.
bool | IsFromTab () const
| Returns true if the navigation event was from a tab key.
bool | IsWindowChange () const
| Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).
void | SetCurrentFocus (wxWindow *currentFocus)
| Sets the current focus window member.
void | SetDirection (bool direction)
| Sets the direction to forward if direction is true, or backward if false.
void | SetFlags (long flags)
| Sets the flags for this event.
void | SetFromTab (bool fromTab)
| Marks the navigation event as from a tab key.
void | SetWindowChange (bool windowChange)
| Marks the event as a window change event.

List of all members.

## Member Enumeration Documentation

enum wxNavigationKeyEvent::wxNavigationKeyEventFlags

Flags which can be used with wxNavigationKeyEvent.

Enumerator:

  IsBackward |
  IsForward |
  WinChange |
  FromTab |

## Constructor & Destructor Documentation

wxNavigationKeyEvent::wxNavigationKeyEvent | ( |  | ) |

wxNavigationKeyEvent::wxNavigationKeyEvent | ( | const wxNavigationKeyEvent & | event | ) |

## Member Function Documentation

wxWindow* wxNavigationKeyEvent::GetCurrentFocus | ( |  | ) | const

Returns the child that has the focus, or NULL.

bool wxNavigationKeyEvent::GetDirection | ( |  | ) | const

Returns true if the navigation was in the forward direction.

bool wxNavigationKeyEvent::IsFromTab | ( |  | ) | const

Returns true if the navigation event was from a tab key.

This is required for proper navigation over radio buttons.

bool wxNavigationKeyEvent::IsWindowChange | ( |  | ) | const

Returns true if the navigation event represents a window change (for example, from Ctrl-Page Down in a notebook).

void wxNavigationKeyEvent::SetCurrentFocus | ( | wxWindow * | currentFocus | ) |

Sets the current focus window member.

void wxNavigationKeyEvent::SetDirection | ( | bool | direction | ) |

Sets the direction to forward if direction is true, or backward if false.

void wxNavigationKeyEvent::SetFlags | ( | long | flags | ) |

Sets the flags for this event.

The flags can be a combination of the wxNavigationKeyEventFlags values.

void wxNavigationKeyEvent::SetFromTab | ( | bool | fromTab | ) |

Marks the navigation event as from a tab key.

void wxNavigationKeyEvent::SetWindowChange | ( | bool | windowChange | ) |

Marks the event as a window change event.

|  | [ top ]